<?xml version="1.0"?>
<xsl:stylesheet
		xmlns:doc="http://sammael.tabu.stw-bonn.de/schema/documentation"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		extension-element-prefixes="doc"
		version="1.0">

  <xsl:output
	      method="html"
	      indent="no"
	      doctype-public="-//W3C//DTD HTML 3.2 Final//EN"
	      />
  
  <xsl:strip-space elements="*"/>

  <xsl:param name="language" select="en"/>
  <xsl:param name="father" select="intro"/>

  <xsl:template match="/doc:documentation">
    <html>
      <body>
	<xsl:apply-templates select="doc:language"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="doc:language">
    <xsl:if test="lang($language)">
      <xsl:choose>
	<xsl:when test="$father">	
	  <a href="{$father}"><xsl:value-of select="doc:topic[@id=$father]/@name"/></a>
          <ul>
            <xsl:apply-templates select=".//doc:topic"/>
          </ul>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:apply-templates select=".//doc:topic"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:if>
  </xsl:template>

  <xsl:template match="doc:topic">
    <xsl:choose>
      <xsl:when test="../@id=$father">
	<li>
	<a href="{@id}"><xsl:value-of select="@name"/></a>
	</li>
      </xsl:when>
      <xsl:otherwise>
	<xsl:if test="not($father) and count(ancestor::doc:topic)=0">
 	   <a href="{@id}"><xsl:value-of select="@name"/></a><br/>
	</xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
