<?xml version="1.0"?>
<xsl:stylesheet	xmlns:doc="http://sammael.tabu.stw-bonn.de/schema/documentation"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		extension-element-prefixes="doc"
		version="1.0">

  <xsl:output method="html"
	      indent="yes"
	      doctype-public="-//W3C//DTD HTML 3.2 Final//EN"/>

  <xsl:strip-space elements="*"/>

  <xsl:param name="language" select="nl"/>
  <xsl:param name="topic" select="none"/>

  <xsl:template match="/doc:documentation">
    <html>
      <xsl:apply-templates select="//doc:topic"/>
    </html>
  </xsl:template>

  <xsl:template match="doc:topic">
    <xsl:if test="$topic=@id">
      <xsl:if test="lang($language)">
        <head>
          <title><xsl:value-of select="@name"/></title>
        </head>
	<xsl:variable name="background" select="ancestor::doc:documentation/@backgroundimage"/>	
        <body background="{$background}">
	  <xsl:apply-templates select="doc:para"/>
        </body>
      </xsl:if>
    </xsl:if>
  </xsl:template>

  <xsl:template match="doc:para">
    <xsl:if test="count(@title)!=0">
      <h4><xsl:value-of select="@title"/></h4>
    </xsl:if>
    <p>
      <xsl:copy-of select="."/>
    </p>
    <br/>
  </xsl:template>

</xsl:stylesheet>

