<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:doc="http://sammael.tabu.stw-bonn.de/schema/documentation"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  extension-element-prefixes="doc"
  version="1.0">

  <xsl:output
    method="html"
    indent="yes"
    encoding="iso-8859-1"
    doctype-public="-//W3C//DTD HTML 3.2 Final//EN"
  />
  
  <xsl:strip-space elements="*"/>

  <xsl:param name="language" select="en"/>
  <xsl:param name="topic" select="none"/>

  <xsl:template match="/">
    <xsl:apply-templates select="//doc:topic"/>
  </xsl:template>

  <xsl:template match="doc:topic">
    <xsl:if test="$topic=@id">
      <xsl:if test="lang($language)">
        <html>
          <head>
            <title><xsl:value-of select="@name"/></title>
          </head>
          <body>
            <xsl:apply-templates select="doc:para"/>
          </body>
        </html>
      </xsl:if>
    </xsl:if>
  </xsl:template>

  <xsl:template match="doc:para">
    <xsl:if test="count(@title)!=0">
      <h4><xsl:value-of select="@title"/></h4>
    </xsl:if>
    <p>
      <xsl:value-of select="."/>
    </p>
  </xsl:template>

</xsl:stylesheet>

